ApiOzoneGetBucketInfoReq (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiOzoneGetBucketInfoReq

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiOzoneGetBucketInfoReq

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiOzoneGetBucketInfoReq
      extends Object

  Ozone get bucket info request payload

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiOzoneGetBucketInfoReq()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiOzoneGetBucketInfoReq` | `bucketRef(ApiOzoneBucketRef bucketRef)`
    `boolean` | `equals(Object o)`
    `ApiOzoneBucketRef` | `getBucketRef()` Get bucketRef
    `String` | `getProxyUser()` User that is impersonated for the Ozone command </p> Use null to run without impersonation
    `int` | `hashCode()`
    `ApiOzoneGetBucketInfoReq` | `proxyUser(String proxyUser)`
    `void` | `setBucketRef(ApiOzoneBucketRef bucketRef)`
    `void` | `setProxyUser(String proxyUser)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiOzoneGetBucketInfoReq

          public ApiOzoneGetBucketInfoReq()

  - ### Method Detail

    - #### bucketRef

          public ApiOzoneGetBucketInfoReq bucketRef(ApiOzoneBucketRef bucketRef)

    - #### getBucketRef

          public ApiOzoneBucketRef getBucketRef()

      Get bucketRef
      Returns:
        bucketRef

    - #### setBucketRef

          public void setBucketRef(ApiOzoneBucketRef bucketRef)

    - #### proxyUser

          public ApiOzoneGetBucketInfoReq proxyUser(String proxyUser)

    - #### getProxyUser

          public String getProxyUser()

      User that is impersonated for the Ozone command </p> Use null to run without impersonation
      Returns:
        proxyUser

    - #### setProxyUser

          public void setProxyUser(String proxyUser)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.